package com.uas.erp.manage.server.api.v1;

import com.uas.erp.manage.server.service.ArtifactService;
import com.uas.erp.manage.server.web.ResponseWrap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.web.PageableDefault;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by Pro1 on 2017/6/23.
 */
@RestController
@RequestMapping(path = "/v1/program/artifact")
public class ArtifactController {

    @Autowired
    private ArtifactService artifactService;

    @GetMapping(path = "/versions")
    public ResponseEntity getArtifactVersions(String groupId, String artifactId,
                                              @PageableDefault(size = 15, page = 0, sort = { "version" }, direction = Sort.Direction.DESC) Pageable pageable) {
        return ResponseWrap.ok(artifactService.getVersions(groupId, artifactId, pageable));
    }

}
