package com.uas.erp.manage.server.api.v1;

import com.uas.erp.manage.server.entity.ClientProjectDeployTask;
import com.uas.erp.manage.server.service.ArtifactService;
import com.uas.erp.manage.server.service.ClientProjectDeployTaskService;
import com.uas.erp.manage.server.web.ResponseWrap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * Created by Pro1 on 2017/6/23.
 */
@RestController
@RequestMapping(path = "/v1/program/deploy")
public class DeployController {

    @Autowired
    private ClientProjectDeployTaskService clientProjectDeployTaskService;

    @Autowired
    private ArtifactService artifactService;

    @PostMapping
    public ResponseEntity addDeployTask(ClientProjectDeployTask task) {
        if (null == task.getCreateTime()) {
            task.setCreateTime(System.currentTimeMillis());
        }
        if (null == task.getVersion()) {
            task.setVersion(artifactService.getLastVersion(task.getGroupId(), task.getArtifactId()));
        }
        clientProjectDeployTaskService.saveTask(task);
        return ResponseWrap.ok();
    }

    @GetMapping(path = "/list")
    public ResponseEntity getDeployTasks() {
        return ResponseWrap.ok(clientProjectDeployTaskService.findTasks());
    }

    @GetMapping(path = "/{taskId}/result")
    public ResponseEntity getDeployTasketails(@PathVariable("taskId") long taskId) {
        return ResponseWrap.ok(clientProjectDeployTaskService.findTaskDetails(taskId));
    }

}
