package com.uas.erp.manage.server.domain;

import com.uas.erp.manage.server.entity.Client;
import com.uas.erp.manage.server.entity.ClientContainer;
import com.uas.erp.manage.server.entity.ClientProject;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
public class ClientInfo {

    private String clientId;

    private String name;

    private String ip;

    private String basePath;

    private Long lastConnectTime;

    private List<ClientContainerInfo> containers;

    private List<ClientProjectInfo> projects;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getBasePath() {
        return basePath;
    }

    public void setBasePath(String basePath) {
        this.basePath = basePath;
    }

    public Long getLastConnectTime() {
        return lastConnectTime;
    }

    public void setLastConnectTime(Long lastConnectTime) {
        this.lastConnectTime = lastConnectTime;
    }

    public List<ClientProjectInfo> getProjects() {
        return projects;
    }

    public void setProjects(List<ClientProjectInfo> projects) {
        this.projects = projects;
    }

    public List<ClientContainerInfo> getContainers() {
        return containers;
    }

    public void setContainers(List<ClientContainerInfo> containers) {
        this.containers = containers;
    }

    public Client getClient() {
        Client client = new Client();
        client.setClientId(this.clientId);
        client.setLastConnectTime(this.lastConnectTime);
        client.setIp(this.ip);
        client.setBasePath(this.basePath);
        client.setName(this.name);
        return client;
    }

    public List<ClientProject> getClientProjects(Client client) {
        List<ClientProject> projects = new ArrayList<>();
        if (!CollectionUtils.isEmpty(this.projects)) {
            for (ClientProjectInfo info:this.projects) {
                projects.add(info.getClientProject(client));
            }
        }
        return projects;
    }

    public List<ClientContainer> getClientContainers(Client client) {
        List<ClientContainer> containers = new ArrayList<>();
        if (!CollectionUtils.isEmpty(this.containers)) {
            for (ClientContainerInfo info:this.containers) {
                containers.add(info.getClientContainer(client));
            }
        }
        return containers;
    }

}
