package com.uas.erp.manage.server.repository;

import com.uas.erp.manage.server.entity.ClientContainer;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Repository
public interface ClientContainerRepository extends JpaRepository<ClientContainer, Long> {

    List<ClientContainer> findByClientId(long clientId);

    ClientContainer findByClientIdAndContainerId(long clientId, long containerId);

    @Modifying
    @Transactional
    @Query("delete from ClientContainer c where c.clientId = ?1 and c.containerId not in (?2)")
    void deleteByClientIdNotInContainerIds(long clientId,  List<Long> containerIds);

}
