package com.uas.erp.manage.server.repository;

import com.uas.erp.manage.server.entity.ClientProject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Repository
public interface ClientProjectRepository extends JpaRepository<ClientProject, Long>, JpaSpecificationExecutor<ClientProject>{

    List<ClientProject> findByClientId(long clientId);

    List<ClientProject> findByClientIdAndGroupIdAndArtifactId(long clientId, String groupId, String artifactId);

    List<ClientProject> findByGroupIdAndArtifactId(String groupId, String artifactId);

    ClientProject findByClientIdAndProjectId(long clientId, long projectId);

}
