package com.uas.erp.manage.server.service;

import com.uas.erp.manage.server.domain.ProjectVersion;
import com.uas.erp.manage.server.util.RestUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Service
public class ArtifactService {

    @Autowired
    private RestTemplate restTemplate;

    @Value("${repository.url}")
    private String repositoryUrl;

    public Page<ProjectVersion> getVersions(String groupId, String artifactId, Pageable pageable) {
        return RestUtils.getForPage(restTemplate, repositoryUrl + "/version/list?groupId={groupId}&artifactId={artifactId}",
                pageable, groupId, artifactId);
    }

    public String getLastVersion(String groupId, String artifactId) {
        return restTemplate.getForObject(repositoryUrl + "/version?groupId={groupId}&artifactId={artifactId}", String.class,
                groupId, artifactId);
    }

}
