package com.uas.erp.manage.server.service;

import com.uas.erp.manage.server.repository.ClientContainerRepository;
import com.uas.erp.manage.server.entity.ClientContainer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Service
public class ClientContainerService {

    @Autowired
    private ClientContainerRepository clientContainerRepository;

    public List<ClientContainer> findByClient(long clientId) {
        return clientContainerRepository.findByClientId(clientId);
    }

    public ClientContainer safetySave(ClientContainer container) {
        ClientContainer oldOne = clientContainerRepository.findByClientIdAndContainerId(container.getClientId(), container.getContainerId());
        if (null != oldOne) {
            container.setId(oldOne.getId());
        }
        return clientContainerRepository.save(oldOne);
    }

    public void safetySave(List<ClientContainer> containers) {
        if (!CollectionUtils.isEmpty(containers)) {
            List<Long> containerIds = new ArrayList<Long>();
            for (ClientContainer container : containers) {
                container = safetySave(container);
                containerIds.add(container.getContainerId());
            }
            containers = findByClient(containers.get(0).getId());
            clientContainerRepository.deleteByClientIdNotInContainerIds(containers.get(0).getId(), containerIds);
        }
    }

}
