package com.uas.erp.manage.server.service;

import com.uas.erp.manage.server.entity.ClientProject;
import com.uas.erp.manage.server.entity.ClientProjectDeployTask;
import com.uas.erp.manage.server.entity.ClientProjectDeployTaskItem;
import com.uas.erp.manage.server.repository.ClientProjectDeployTaskItemRepository;
import com.uas.erp.manage.server.repository.ClientProjectDeployTaskRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Service
public class ClientProjectDeployTaskService {

    @Autowired
    private ClientProjectDeployTaskRepository clientProjectDeployTaskRepository;

    @Autowired
    private ClientProjectDeployTaskItemRepository clientProjectDeployTaskItemRepository;

    @Autowired
    private ClientService clientService;

    @Autowired
    private ClientProjectService clientProjectService;

    public void saveTask(ClientProjectDeployTask task) {
        task = clientProjectDeployTaskRepository.save(task);
        List<ClientProject> projects = clientProjectService.findByGroupIdAndArtifactId(task.getGroupId(), task.getArtifactId());
        if (!CollectionUtils.isEmpty(projects)) {
            for (ClientProject project:projects) {
                clientProjectService.runDeployTask(project, task);
            }
        }
    }

    public List<ClientProjectDeployTask> findTasks() {
        return clientProjectDeployTaskRepository.findAll();
    }

    public List<ClientProjectDeployTaskItem> findTaskDetails(long taskId) {
        return clientProjectDeployTaskItemRepository.findByTaskId(taskId);
    }

}
