package com.uas.erp.manage.server.service;

import com.uas.erp.manage.server.entity.Client;
import com.uas.erp.manage.server.repository.ClientRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/23.
 */
@Service
public class ClientService {

    @Autowired
    private ClientRepository clientRepository;

    public Client getClient(long id) {
        return clientRepository.findOne(id);
    }

    /**
     * 分页查询
     * @param pageable
     * @return
     */
    public Page<Client> getClients(Pageable pageable) {
        return clientRepository.findAll(pageable);
    }

    /**
     * 查找全部
     * @return
     */
    public List<Client> getClients() {
        return clientRepository.findAll();
    }

    /**
     * 保存
     * @param client
     * @return
     */
    public Client safetySave(Client client) {
        Client oldOne = clientRepository.findByClientId(client.getClientId());
        if (null != oldOne) {
            client.setId(oldOne.getId());
        }
        return clientRepository.save(client);
    }

}
