package com.uas.erp.manage.server.util;

import com.uas.erp.manage.server.web.RestPage;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

/**
 * Created by Pro1 on 2017/7/20.
 */
public class RestUtils {

    public static <T> Page<T> getForPage(RestTemplate restTemplate, String uri, Pageable pageable, Object...vars) {
        ParameterizedTypeReference<RestPage<T>> responseType = new ParameterizedTypeReference<RestPage<T>>(){};
        StringBuffer pageUri = new StringBuffer(uri);
        pageUri.append(uri.contains("?") ? "&" : "?").append("page=").append(pageable.getPageNumber());
        pageUri.append("&size=").append(pageable.getPageSize());
//        pageUri.append("&sort=").append(pageable.getSort().toString());
        ResponseEntity<RestPage<T>> result = restTemplate.exchange(pageUri.toString(), HttpMethod.GET, null, responseType, vars);
        return result.getBody().getPage();
    }

}
